<!DOCTYPE html>
<html lang="en" xmlns:th = "http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <link
            href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;700&family=Roboto:wght@300;700&display=swap"
            rel="stylesheet">
    <style>
        body {
            background-color: white !important;
            margin: 0;
        }
    </style>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CheersBeers</title>

    <!-- bootstrap -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    <!-- bootstrap -->

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
          integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    <script src="https://kit.fontawesome.com/876095b5f8.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="../static/css/style.css" th:href="@{/css/style.css}">

    <script type="text/javascript" href="../static/js/main.js" th:href="@{/js/main.js}"></script>

</head>

<body>
<div th:replace="fragments/navbar.html :: header"></div>
<!--<div class="nav-container">-->
<!--    <div class="wrapper">-->
<!--        <nav>-->
<!--            <div class="logo">-->
<!--                <a href="beers_page.html" th:href="@{/beers}" ><img src="../static/images/logo_beer_page.png" th:src="@{/images/logo_beer_page.png}" alt="CHEERBEERS"></a>-->
<!--            </div>-->
<!--            <ul class="nav-items">-->

<!--                <li>-->
<!--                    Welcome <a href="#">Kevin</a>-->
<!--                </li>-->

<!--                <li>-->
<!--                    <div class="dropdown">-->
<!--                        <img class="profile-picture-nav" src="/images/profilePictureNav.png">-->
<!--                        <div class="dropdown-content">-->
<!--                            <div class="desc" ><a href ="#"> Profile</a></div>-->
<!--                            <div class="desc" ><a href ="#"> Add new beer</a></div>-->
<!--                            <div class="desc"><a href ="#">My wishlist</a></div>-->
<!--                            <div class="desc"><a href ="#">My drunklist</a></div>-->
<!--                            <div class="desc"><a href ="#">logout</a></div>-->

<!--                        </div>-->
<!--                    </div>-->
<!--                </li>-->
<!--            </ul>-->
<!--        </nav>-->
<!--    </div>-->
<!--</div>-->

<div class="filter-container">
    <div class="wrapper">
        <ul class="sort">

            <li>
                <form th:action="@{/beers/sort/}" method ="post">
                    <select class="form-control form-control-sm" id = "style-select">
                        <option >sort by</option>
                        <option >name</option>
                        <option >abv</option>
                        <option >rating</option>
                    </select>
                </form>
                <!--                    this script make it possible to select and submit from dropdown-->
                <script type="text/javascript">
                    jQuery(function() {
                        jQuery('#style-select').change(function() {
                            this.form.submit();
                        });
                    });
                </script>
            </li>
            <li>
                <select class="form-control form-control-sm">
                    <option>asc</option>
                    <option>desc</option>
                </select>
            </li>
        </ul>
    </div>
</div>
<div class="filter-container">
    <div class="wrapper">
        <div><h1 class="wishlist_text" th:text ="*{myList}">My wishlist</h1></div>
        <style>
            .wishlist_text {
                display: inline;
                color: #ffffff;
                background-color:#f89730 ;
                box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
                padding: 3px 20px;
                border-radius: 9px;
            }
        </style>
    </div>
</div>

<!-- this code is for the beer cards -->

<div class="wrapper">
    <div class="row">
        <!-- For each na column class -->
        <div th:each = "beer : ${userWishList}" class="column">
            <a th:href="@{/beers/{beerId}/info (beerId = ${beer.getId()})}"> <div class="blog-post">
                <div class="blog-post__img">
                    <img th:src ="${beer.getPicture()}" src="../static/images/profilePictureNav.png" alt="">
                </div>
                <div class="blog-post__info">
                    <h1 class="blog-post__title" th:text = "${beer.name}">LordHobo Glorius</h1>
                    <div class="blog-post__date">
                        <span th:text = "${beer.style.style}">Style</span>
                        <span th:text = "${beer.abv} + '%'">4.2%</span>
                        <span class="rating">
                                <span class="rating-upper" style="width: 0%">
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                </span>
                                <span class="rating-lower">
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                </span>
                            </span>
                    </div>
                    <p class="blog-post__text" th:text = "${beer.description}">Lorem ipsum dolor, sit amet consectetur adipisicing elit.
                        Exercitationem eos totam dolores cupiditate voluptatibus ipsam reiciendis,
                        aliquam nisi ipsa! Amet asperiores dolore omnis doloremque maxime id facere ducimus ab et!
                    </p>
<!--                    <a href="#" class="blog-post__cta">Add to wish list</a>-->
<!--                    <a href="#" class="blog-post__cta">Add to drunk list</a>-->
                    <form class="addToList-form" th:action="@{'/beers/add/toWishList/' + ${beer.id}}" method="post">
                        <button th:if="${!user.getWishListIdsOnly().contains(beer.id)}" sec:authorize="isAuthenticated()" type="submit" class="blog-post__cta">Add to wish list</button>
                        <button th:unless="${!user.getWishListIdsOnly().contains(beer.id)}" sec:authorize="isAuthenticated()" type="submit" disabled class="btn btn-secondary">Add to wish list</button>
                    </form>
                    <form class="addToList-form" th:action="@{'/beers/add/toDrunkList/' + ${beer.id}}" method="post">
                        <button th:if="${!user.getDrunkListIdsOnly().contains(beer.id)}" sec:authorize="isAuthenticated()" type="submit" class="blog-post__cta">Add to drunk list</button>
                        <button th:unless="${!user.getDrunkListIdsOnly().contains(beer.id)}" sec:authorize="isAuthenticated()" type="submit" disabled class="btn btn-secondary">Add to drunk list</button>
                    </form>
                </div>
            </div>
            </a>
        </div>


    </div>


</div>


</body>

</html>